
U++ - Bug #2063

GTestUIExample compilation error on mac due to lack of image comparision on macOS

09/10/2020 07:02 PM - Zbigniew Rebacz

Status: Approved Start date: 09/10/2020

Priority: High Due date:

Assignee: Zbigniew Rebacz % Done: 0%

Category: Draw Estimated time: 0.00 hour

Target version: Release 2020.2 Spent time: 0.00 hour

Description

It seems that mac draw is lack of some featuer to compare draws:

TEST_F(AppWindowTest, ApperanceTest)

{

    const String fileName = "MyAppWindow.png";

    ImageDraw id(window->GetRect().Size());

    window->DrawCtrl(id);

    PNGEncoder encoder;

    if (!FileExists(fileName)) {

        encoder.SaveFile(fileName, id);

        ASSERT_TRUE(false) << "Non found referal window image. Creating new one and failing test..\n";

    }

    auto img = StreamRaster::LoadFileAny(fileName);

    EXPECT_EQ(img, id); // <- This line doesn't work (GTK and WIN32 are fine with it).

}

Potential blocker for 2020.2 release.

History

#1 - 09/11/2020 08:19 AM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Hopefully fixed.

#2 - 09/11/2020 08:52 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved

Thanks! It works.
